<?php

namespace App\Libs\Helpers;

use App\Libs\Traits\AuthUserTrait;

class CheckEngagementStatusHelper
{
    use AuthUserTrait;

    public function checkStatusHelper(): bool
    {
        $course_count = (new \App\Models\TeacherRequest)->where('guardian_id', '=', $this->getAuthUser()->guardian->id)->count();
        if ($this->getAuthUser()->guardian->plan_id == 1 && $course_count > 3) {
            return false;
        } elseif($this->getAuthUser()->guardian->plan_id == 2 && $course_count > 5) {
            return  false;
        } else {
            return  true;
        }
    }
}
