<?php

namespace App\Libs\Helpers;

use Illuminate\Support\Facades\Storage;

class FileProcessing
{
    /**
     * push image to folder
     * @param $request
     * @param $file
     * @return string
     */
    public function pushImageFile($request, $file): string
    {
        $filenameWithExt = $request->file("$file")->getClientOriginalName();
        $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME );
        $extension = $request->file("$file")->getClientOriginalExtension();
        $fileNameToStore = $filename  .'_'.time().'.'.$extension;
        $request->file("$file")->storeAs('media/uploads', $fileNameToStore);
        return  $fileNameToStore;
    }

}
