<?php

namespace Database\Seeders;

use App\Models\Category;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run(): void
    {
        $this->call([
            CategorySeeder::class,
            SubjectSeeder::class,
            AdminSeeder::class,
            LevelSeeder::class,
            GuardianSeeder::class,
            StudentSeeder::class,
            TeacherSeeder::class,
            PlanSeeder::class,
            SuperAdminSeeder::class
        ]);
    }
}
